import React, { memo } from 'react';
import Bottom from "../TemplateBottom";
import Top from "../TemplateTop";
import MainMenu from "../TemplateMenu";

var Template = function Template(_ref) {
  var ProgressBar = _ref.ProgressBar;
  return /*#__PURE__*/React.createElement("div", {
    className: "overlay-container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "overlay-coach"
  }, /*#__PURE__*/React.createElement(Top, null, ProgressBar && /*#__PURE__*/React.createElement(ProgressBar, null)), /*#__PURE__*/React.createElement(Bottom, null), /*#__PURE__*/React.createElement(MainMenu, null)));
};

export default memo(Template);